# Projekt: PAT02
# Patientenverwaltung, F-Ebert-Oberschule, gin-Abi, Dez. 2002

# Jonathan Rudow & Jonas Lynn =) =) =)  26. November 2002
# Klasse TAdresse

class TAdresse:
        def __init__(self):
                #Initfunktion der Klasse
                #Initialisiert die Variablen plz, ort und str
                self.plz=""
                self.ort=""
                self.str=""

        def set_Plz(self,wert):
                #Speichert einen bergeben Wert in Variable plz
                self.plz=wert

        def set_Ort(self,wert):
                #Speichert einen bergeben Wert in Variable ort
                self.ort=wert

        def set_Strasse(self,wert):
                #Speichert einen bergeben Wert in Variable str
                self.str=wert

        def get_Plz(self):
                #Gibt den Inhalt der Variable plz zurck
                return self.plz

        def get_Ort(self):
                #Gibt den Inhalt der Variable ort zurck
                return self.ort

        def get_Strasse(self):
                #Gibt den Inhalt der Variable str zurck
                return self.str

=====================================================================
#  PERSONKLASSE
# Datei: person.py
#	Autor:  Till&Simon, Nov. 2002

class TPerson:
   """
   /* Klasse Person
   """
   def __init__(self):
      """
      /* Attribut: Name, Vorname, Telefonnummer
      """
      self.name=""
      self.vorname=""
      self.telnr=""

   def set_Name(self,wert):
      """
      /* Standardmethode "set"
      /* -----------------------
      /* wert : string : Name (Parameter)
      """
      self.name=wert

   def set_Vorname(self,wert):
      """
      /* Standardmethode "set"
      /* -----------------------
      /* wert : string : Vorname (Parameter)
      """
      self.vorname=wert

   def set_Tel(self,wert):
      """
      /* Standardmethode "set"
      /* -----------------------
      /* wert : string : Telefonnummer (Parameter)
      """
      self.telnr=wert

   def get_Name(self):
      """
      /* Standardmethode "get"
      /* -----------------------------
      /* return : string : Name (Rckg.-wert)
      """
      return self.name

   def get_Vorname(self):
      """
      /* Standardmethode "get"
      /* -----------------------------
      /* return : string : Vorname (Rckg.-wert)
      """
      return self.vorname

   def get_Tel(self):
      """
      /* Standardmethode "get"
      /* -----------------------------
      /* return : string : Telefonnummer (Rckg.-wert)
      """
      return self.telnr
=====================================================================
# TPatient
# Udo Schmidt, Tobias Labus
# 26. November 2002

from person import TPerson;
from adresse import TAdresse;

class TPatient(TPerson):
	# Klasse TPatient erbt von TPerson
	# 26. November 2002
	# Udo Schmidt, Tobias Labus
	def __init__(self):
		TPerson.__init__(self);
		self.KV = "";
		self.Blutgruppe = "";
		self.Geschlecht = "";
		self.Adresse = TAdresse();

	def set_KV(self, wert):
	# Funktion: Setzt die Krankenversicherungsnummer
		self.KV = wert;

	def set_Blutgruppe(self, wert):
	# Funktion: Setzt die Blutgruppe
		self.Blutgruppe = wert;

	def set_Geschlecht(self, wert):
	# Funktion: Setzt das Geschlecht
		self.Geschlecht = wert;

	def get_KV(self):
	# Funktion: Liest Krankenvers.Nummer aus und gibt sie zurck
		return self.KV;

	def get_Blutgruppe(self):
	# Funktion: Liest die Blutgruppe aus und gibt sie zurck
		return self.Blutgruppe;

	def get_Geschlecht(self):
	# Funktion: Liest das Geschlecht und gibt es zurck
		return self.Geschlecht;

	def get_Adresse(self):
	# Funktion: Gibt die Adresse zurck
		return self.Adresse;


=====================================================================

# Projekt               : Patientenverwaltung (pyPAT02)
#  Testprogramm         (Teil ...)

# Datei                 : main0.py
# Autor                 : Nov. 2002, Bombei, BICS
# ----------------------------------------------------------------- #
# Aufgabe     : testet das Patienten-Fachkonzept                    #

from patient import TPatient

#
#  Testprogramm         (Teil ...)
#
if __name__ == '__main__':
   meinePerson = TPatient()

   print "\nBitte Personen eingeben: "
   print " Name: " ,
   TextZeile = raw_input()
   TextZeile = TextZeile + "\n"
   meinePerson.set_Name(TextZeile)

   print "\nBitte Adressen eingeben: "
   print " Strae: " ,
   TextZeile = raw_input()
   TextZeile = TextZeile + "\n"
   meinePerson.Adresse.set_Strasse(TextZeile)

   print "\nBitte Geschlecht eingeben: "
   print " Geschlecht: " ,
   TextZeile = raw_input()
   TextZeile = TextZeile + "\n"
   meinePerson.set_Geschlecht(TextZeile)


   print "\nWeiter mit <RETURN>"
   raw_input()

   print "\nAlles da:"
   print meinePerson.get_Name(),
   print meinePerson.Adresse.get_Strasse(),
   print meinePerson.get_Geschlecht()

