
PYTHON-MINI-DOC                         
-----------------------------------------------------
Projekt:       Patientenverwaltung (pyPAT02)
Datei:         pliste.py
Datum:         Oktober 2002
Bearbeiter:    K Bombei, BICS
-----------------------------------------------------
import pickle
from sliste  import TListe
from patient import TPatient
-----------------------------------------------------

class TPatListe(TListe):
   /*  Listentyp, angepasst fuer Patientenverwaltung,
   /*    erbt alles von Klasse TListe
--
   def __init__(selbst):
        /* Auftrag : Listenobjekt erzeugen und initialisieren
        /* vorher  : -
        /* nachher : (Siehe TListe und:)
        /*           Standard-Dateiname ist "TestPatient.txt"
        /* Assoziation: Instanz des Patiententypen werden
        /*           weiter unten "bei Bedarf" gebildet:
        /*           PElement = TPatient()
--
   def setze_Dateinamen(selbst, neuName):
        /* Auftrag : Der interne Dateiname wird neu gesetzt
        /* vorher  : -
        /* nachher : Standard-Dateiname ist Inhalt von "neuName"
--
   def gib_Dateinamen(selbst):
        /* Auftrag : Der interne Dateiname wird zurueckgegeben
        /* vorher  : -
        /* nachher : aktueller Dateiname wird zurueckgegeben
--
   def laden(selbst) :
        /* Auftrag: Liste aus externer Datei laden.
        /* vorher : Die Liste ist initialisiert,
        /*          Dateiname wurde gesetzt, Datei existiert .
        /* nachher: Die Liste ist in den Arbeitsspeicher geladen;
        /*          Datei ist geschlossen; AktPos ist auf erstem Element;
        /*          Rueckgabewert "1"
        /* Fehler : misslingt das Oeffnen der Datei, geschieht nichts,
        /*          Rueckgabewert "0"
--
   def speichern (selbst):
        /* Auftrag: Liste in externe Datei speichern
        /* vorher : Dateiname wurde gesetzt
        /* nachher: Die Liste ist unter "Dateiname" gespeichert.
        /*          Die Datei ist geschlossen. Rueckgabewert "1".
        /* Achtung: Evtl. existierende Dateien werden ueberschrieben!!
        /* Fehler : Misslingt das Oeffnen der Datei, geschieht nichts.
        /*          Ist die Liste leer, wird nichts gespeichert.
        /*          Rueckgabewert "0"

